/*
* @description: 候选人公示公共方法
  @Modifier: 郝凤仙
  @routerPath:
  @date: 2020/1/16-15:13
* */
/* 组件*/
const candidateBulletinCommon = {
  data() {
    return {
      flowStatus: this.$route.query.flowStatus, // true 工作流进入驳回编辑
      // 上传附件参数
      upLoadData: {
        bizId: '', // 业务主键Id
        fileType: 'candidate_bulletin_attachment '// 文件类型
      },
      // 获取通知书内容pdf
      bulletinContentData: {
        bizId: '', // 业务主键Id
        fileType: 'candidate_bulletin_content'// 文件类型
      },
      candidateBulletinId: '' // 候选人公示id
    }
  },
  created() {
    // flowStatus为true 工作流进入 否则是驱动进入
    let candidateBulletinId = '' // 候选人公示id
    if (this.flowStatus) {
      candidateBulletinId = this.$route.query.bizId // 工作流进入bizId
    } else {
      candidateBulletinId = this.$route.query.candidateBulletinId // 驱动进入取招标文件candidateBulletinId
    }
    this.upLoadData.bizId = candidateBulletinId // 上传附件参数
    this.bulletinContentData.bizId = candidateBulletinId // 获取通知书内容pdf
    this.candidateBulletinId = candidateBulletinId // 候选人公示id
  }
}

export { candidateBulletinCommon }
